Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 139446 - Please mark net-im/gajim-0.10.1 as stable
Summary: Please mark net-im/gajim-0.10.1 as stable
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Alpha Porters
URL:
Whiteboard:
Keywords: STABLE, TESTED
Depends on: 139503 144968 152529
Blocks:
  Show dependency tree
 
Reported: 2006-07-06 09:37 UTC by Gustavo Felisberto (RETIRED)
Modified: 2007-01-06 18:13 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
don't install locale files when USE="-nls" (gajim-0.10.1-no_locales_for-nls.patch,663 bytes, patch)
2006-07-07 02:48 UTC, Dimitur Kirov
Details | Diff
the same patch, without extra cp (gajim-0.10.1-no_locales_for-nls.patch,475 bytes, patch)
2006-07-07 02:53 UTC, Dimitur Kirov
Details | Diff
emerge --info (amd64 tests) (emerge.info,2.19 KB, text/plain)
2006-08-19 16:45 UTC, Ahmed Ammar (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Felisberto (RETIRED) gentoo-dev 2006-07-06 09:37:17 UTC
Due to the number of deps that need stabilisation this will be sort of a meta bug.

Alpha keyword was removed in this one due to missing keyword in a dep.
Comment 1 Peter Weller (RETIRED) gentoo-dev 2006-07-06 12:19:41 UTC
Fixed typo...
Comment 2 Luca Barbato gentoo-dev 2006-07-06 17:17:26 UTC
Marked ppc
Comment 3 Thomas Cort (RETIRED) gentoo-dev 2006-07-06 17:23:23 UTC
*gajim-0.10.1 (06 Jul 2006)

It looks like this version got added today. Usually packages get 30 days of testing before being marked stable. Is there any reason (security bug, old version is badly broken, etc) to mark this stable right away?
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2006-07-07 02:12:29 UTC
1) when using USE="libnotify" x11-misc/notification-daemon is pulled in, unfortunately it is masked
2) throws an error when emerging (while installing) with USE flag nls disabled
install: cannot stat `fr.mo': No such file or directory
install: cannot stat `pt.mo': No such file or directory
install: cannot stat `el.mo': No such file or directory
install: cannot stat `pl.mo': No such file or directory
install: cannot stat `es.mo': No such file or directory
install: cannot stat `ru.mo': No such file or directory
install: cannot stat `bg.mo': No such file or directory
install: cannot stat `de.mo': No such file or directory
install: cannot stat `nb.mo': No such file or directory
install: cannot stat `cs.mo': No such file or directory
install: cannot stat `nl.mo': No such file or directory
install: cannot stat `pt_BR.mo': No such file or directory
install: cannot stat `sv.mo': No such file or directory
install: cannot stat `it.mo': No such file or directory
install: cannot stat `eu.mo': No such file or directory
install: cannot stat `sk.mo': No such file or directory
install: cannot stat `no.mo': No such file or directory
install: cannot stat `zh_CN.mo': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/var/tmp/portage/gajim-0.10.1/work/gajim-0.10.1/po'

3) does emerge nicely with my standard settings X dbus gnome nls spell -libnotify -srv
4) passes file collision test
5) works in Gnome and KDE

Portage 2.1-r1 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.6-r4, 2.6.16-gentoo-r9 i686)
=================================================================
System uname: 2.6.16-gentoo-r9 i686 AMD Athlon(tm) XP 2500+
Gentoo Base System version 1.6.15
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O0"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo"
CXXFLAGS="-O0"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict test"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.informatik.rwth-aachen.de/gentoo-portage"
USE="x86 3dnow 3dnowext X Xaw3d a52 alsa apache2 arts artworkextra asf audiofile avi bash-completion berkdb bidi bitmap-fonts bootsplash bzip2 cairo cdda cddb cdparanoia cdr cli cracklib crypt css cups curl custom-cflags dbus dga directfb divx4linux dlloader dri dts dvd dvdr dvdread dvi eds emacs emboss encode esd evo exif expat fam fat fbcon fdftk ffmpeg firefox foomaticdb fortran ftp gb gcj gdbm gif gnome gpm gstreamer gtk gtk2 gtkhtml hal howl icq idn imagemagick imap imlib ipv6 isdnlog java javascript jikes jpeg jpeg2k kde ldap leim libg++ libwww lm_sensors mad maildir matroska mbox mikmod mime mmx mmxext mng mono motif mp3 mpeg mpeg2 mule nautilus ncurses nforce2 nls nocardbus nowebdav nptl nptlonly nsplugin nvidia ogg opengl pam pcre pdf pdflib perl plotutils pmu png ppds pppd preview-latex print python qt qt3 qt4 quicktime readline reflection reiserfs samba sdk session slang spell spl sse ssl svg svga t1lib tcltk tcpd theora thunderbird tiff truetype truetype-fonts type1-fonts udev usb vcd videos vorbis win32codecs wmf wxwindows xine xml xorg xosd xv xvid zlib elibc_glibc input_devices_mouse input_devices_keyboard kernel_linux linguas_de userland_GNU video_cards_radeon video_cards_vesa video_cards_fbdev"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Dimitur Kirov 2006-07-07 02:48:04 UTC
Created attachment 91113 [details, diff]
don't install locale files when USE="-nls"

the patch comes from svn version
Comment 6 Dimitur Kirov 2006-07-07 02:53:54 UTC
Created attachment 91114 [details, diff]
the same patch, without extra cp
Comment 7 Joshua Jackson (RETIRED) gentoo-dev 2006-07-15 22:05:59 UTC
x86 is gone ~_~
Comment 8 Thomas Cort (RETIRED) gentoo-dev 2006-07-16 05:54:41 UTC
Looks good on alpha, but I'm waiting for Bug 139503 to get fixed before marking stable.
Comment 9 Ahmed Ammar (RETIRED) gentoo-dev 2006-08-19 16:43:12 UTC
Tested on amd64, compiles and works.
Comment 10 Ahmed Ammar (RETIRED) gentoo-dev 2006-08-19 16:45:34 UTC
Created attachment 94646 [details]
emerge --info (amd64 tests)

emerge --info
Comment 11 Olivier Crete (RETIRED) gentoo-dev 2006-08-19 17:05:23 UTC
I dont see how can I mark stable a package that has a note that says that you must rebuild gtk/pygtk/python with gcc-4 for it to work properly..
Comment 12 Thomas Cort (RETIRED) gentoo-dev 2006-08-19 17:10:32 UTC
amd64 stable.
Comment 13 Peter Weller (RETIRED) gentoo-dev 2007-01-06 11:22:04 UTC
Alpha, any chance you can mark this stable?
Comment 14 Bryan Østergaard (RETIRED) gentoo-dev 2007-01-06 18:13:53 UTC
Alpha stable.